Status: Closed   

Priority: Normal   

Category:    

Customer: ELEKTROBIT Product Issue

Numbers:

 

Department: SUPPORT Affected Products: ADTF Device Toolbox 3.2.0

Requester's Priority: Normal Platform: Windows 10 64bit

Support Level: 2nd Level Topic: DeviceTB::SOME/IP

Resolution: Solved Issue FAQ Links:  

Description

Hallo Florian,

in den planned features schreibt ihr ja in ADEVTB-1572 (Define ISomeIpDatabase) und ADEVTB-1526 (MS2: Provide a filter to

decode SOME/IP data) das SomeIP in ADTF unterstützt werden soll. Gibt es da schon eine genauere Planung ab wann oder in

welcher Version?

Danke und Grüße,

Anja

Lösung

Mit Device TB 3.1.0 wurde SOME/IP Meilenstein 1 umgesetzt: mit einen SOME/IP Filter werden SOME/IP Daten aus einen mittels

PCAP Source eingespeisten Ethernet Streams extrahiert, welche in einen Trace View visualisiert werden können.

Zur Device TB 3.2.0 wird nun eine definierte Schnittstelle kommen um einen SOME/IP Parser anzubinden und somit SOME/IP Daten

zu dekodieren (entspricht Meilenstein 2).

Aus unerfindlichen Gründen hat das Kufo mehrfach eine Parserlieferung abgelehnt, fordert nur die Schnittstelle und jeder will es

somit selbst implementieren/in Auftrag geben.

History

#1 - 2020-03-06 12:08 - hidden

- Project changed from Public Support to 7

- Topic set to DeviceTB::SOME/IP

- Customer set to ELEKTROBIT

- Department set to SUPPORT

- Affected Products ADTF Device Toolbox 3.2.0 added

- Platform Windows 10 64bit added

#3 - 2020-03-09 08:37 - hidden

- Status changed from New to Customer Feedback Required

Hallo Anja,

mit Device TB 3.1.0 wurde SOME/IP Meilenstein 1 umgesetzt: mit einen SOME/IP Filter werden SOME/IP Daten aus einen mittels PCAP Source

eingespeisten Ethernet Streams extrahiert, welche in einen Trace View visualisiert werden können.

Zur Device TB 3.2.0 wird nun eine definierte Schnittstelle kommen um einen SOME/IP Parser anzubinden und somit SOME/IP Daten zu dekodieren

(entspricht Meilenstein 2).

#4 - 2020-03-10 11:46 - hidden

Hallo Florian,

Ist auch noch ein Parser geplant und wenn ja in welcher Systembeschreibungssprache (ARXML?)? Oder soll das in Verantwortung des Kunden

stehen?
Danke und Grüße,

Anja

#5 - 2020-03-11 08:25 - hidden

Hallo Anja,

aus unerfindlichen Gründen hat das Kufo mehrfach eine Parserlieferung abgelehnt, fordert nur die Schnittstelle und jeder will es somit selbst

implementieren/in Auftrag geben.

Bitte gib das auch nochmal so weiter, das hatten wir schon einige Male auf dem Tisch.

Auch zuletzt mit Thorsten Weißert, dass ihr euren arxml Parser dann dafür portieren könnt.

#6 - 2020-03-12 10:04 - hidden

Hallo Florian,

danke für die Info. Die reicht so für mich.

Grüße,

Anja

#7 - 2020-03-13 14:33 - hidden

- Subject changed from EBPRODUCTSUPPORT-6441 [EB Internal] SomeIP Support in ADTF 3 Device Toolbox to EBPRODUCTSUPPORT-6441

SomeIP Support in ADTF 3 Device Toolbox

- Description updated

- Status changed from Customer Feedback Required to To Be Closed

- Resolution set to Solved Issue

#8 - 2020-07-07 16:22 - hidden

- Project changed from 7 to Public Support

- Private changed from Yes to No

#9 - 2020-07-07 16:40 - hidden

- Status changed from To Be Closed to Closed
